Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006772opensim[REGION] OpenSim Corepublic2013-09-18 07:082014-07-29 13:42
Reporterorenh 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006772: [PATCH] When giving an item to an avatar on a different simulator, two copies are given
DescriptionWhen avatar A gives an item to avatar B, and the avatars are on different simulators, avatar B gets two copies of the item.

This isn't immediately obvious because the viewer will only show one item at first. After restarting the viewer both items will be visible.
Steps To Reproduce1. Place two avatars in two different simulators.
2. Have one avatar give an item to the other avatar, and the second avatar accepts it.
3. Have the second avatar restart his viewer. His inventory will now show two copies of the item.
Additional InformationHere's why this happens: when a user gives an item, the user's client sends an InventoryOffered IM message to its simulator. This adds the item to the receiver's inventory immediately (using the Inventory Service). If the receiver isn't in the same simulator then XMLRPC is used to forward the IM to the correct simulator. The bug was that the receiving simulator handled the message by calling OnInstantMessage() again, which added a second copy of the item to the inventory. Instead, the receiving simulator should only notify the avatar that the item was offered.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Filespatch file icon 0001-When-giving-items-between-avatars-in-different-simul.patch [^] (4,821 bytes) 2013-09-18 07:08 [Show Content]
patch file icon 0001-Allow-Boolean-nodes-in-XML-to-be-specified-as-0-1-.-.patch [^] (2,081 bytes) 2013-09-18 07:08 [Show Content]

- Relationships

-  Notes
(0024358)
orenh (administrator)
2013-09-18 07:13

I also included a small patch to make the XML parser more forgiving. This isn't related to the inventory; I just stuck it here to avoid creating a whole new Mantis entry for such a small fix.
(0024376)
justincc (administrator)
2013-09-20 16:45

Thanks orenh, bug confirmed and patch applied as git master cbdfe96. Run out of time to look at other patches tonight.
(0024949)
orenh (administrator)
2014-01-07 01:42

Please apply the second patch in this Mantis entry ("Allow Boolean nodes in XML to be specified as "0/1"."). It's minor, but lets OpenSim work better with content that was brought in from AuroraSim.

- Issue History
Date Modified Username Field Change
2013-09-18 07:08 orenh New Issue
2013-09-18 07:08 orenh Status new => assigned
2013-09-18 07:08 orenh Assigned To => justincc
2013-09-18 07:08 orenh File Added: 0001-When-giving-items-between-avatars-in-different-simul.patch
2013-09-18 07:08 orenh File Added: 0001-Allow-Boolean-nodes-in-XML-to-be-specified-as-0-1-.-.patch
2013-09-18 07:08 orenh Status assigned => patch included
2013-09-18 07:13 orenh Note Added: 0024358
2013-09-20 16:45 justincc Note Added: 0024376
2014-01-07 01:42 orenh Note Added: 0024949
2014-01-11 23:44 orenh Status patch included => resolved
2014-01-11 23:44 orenh Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker